> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update currencies



## OpenAPI

````yaml put /{shopId}/currencies
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/currencies:
    put:
      tags:
        - Shops
        - Currency
      summary: Update currencies
      description: Update currencies
      operationId: updateCurrencies
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  baseRate:
                    type: number
                    example: 1
                  currency:
                    type: string
                    example: 60aa6cd79aed9f2aa1b677db
                  currencyRate:
                    type: number
                    example: 10
                  isDisabled:
                    type: boolean
                    example: false
                  isRateAutomated:
                    type: boolean
                    example: true
              example:
                - currency: 60aa6cd79aed9f2aa1b677db
                  isDisabled: false
                  isRateAutomated: true
                - currency: 6175de676882441e3ba71caa
                  isDisabled: true
                  isRateAutomated: true
                - baseRate: 1
                  currency: 6177255c938e558bd43b218e
                  currencyRate: 10
                  isDisabled: true
            example:
              - currency: 60aa6cd79aed9f2aa1b677db
                isDisabled: false
                isRateAutomated: true
              - currency: 6175de676882441e3ba71caa
                isDisabled: true
                isRateAutomated: true
              - baseRate: 1
                currency: 6177255c938e558bd43b218e
                currencyRate: 10
                isDisabled: true
      responses:
        '200':
          description: ''

````